<?php
/**
*
* @package Moods
* @copyright (c) 2016 Theriddler - (http://www.peppersrus-forum.nl)
* @copyright (c) 2015 Rmcgirr83
* @Code lent from nationalflags extension by Rmcgirr83
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\moods\migrations;

class m1_initial_schema extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return $this->db_tools->sql_column_exists($this->table_prefix . 'users', 'user_mood') && $this->db_tools->sql_table_exists($this->table_prefix . 'moods');
	}

	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v31x\v314rc1');
	}

	public function update_schema()
	{
		return array(
			'add_columns'	=> array(
				$this->table_prefix . 'users'	=> array(
					'user_mood'	=> array('UINT', 0),
				),
			),
			'add_tables'    => array(
				$this->table_prefix . 'moods'        => array(
					'COLUMNS' => array(
						'mood_id' => array('UINT', null, 'auto_increment'),
						'mood_name' => array('VCHAR_UNI:255', ''),
						'mood_image' => array('VCHAR', ''),
					),
					'PRIMARY_KEY'	=> array('mood_id'),
				),
			),
		);
	}

	public function revert_schema()
	{
		return array(
			'drop_columns' => array(
				$this->table_prefix . 'users'	=> array(
					'user_mood',
				),
			),
			'drop_tables' => array(
				$this->table_prefix . 'moods',
			),
		);
	}
}
